package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 获取主观题考试作答请求类
 * @Author lideyin
 * @Date 2020/3/30 15:25
 * @Version 1.0
 */
public class OuterGetSubjectiveQuestionReq extends EnterpriseRequest {

	private static final long serialVersionUID = 8303860788475413215L;

	@ApiModelProperty(value = "考试ID", example = "128", required = true)
	private Long examId;

	@ApiModelProperty(value = "科目代码", example = "128", required = true)
	private String subjectCode;

	@ApiModelProperty(value = "考生id,Long,第一次调用传0，下次调用，用返回的nextId", example = "0", required = true)
	private Long startId;

	@ApiModelProperty(value = "考试记录集合大小,最大不得超过500", example = "200", required = true)
	private Long size;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getSubjectCode() {
		return subjectCode;
	}

	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}

	public Long getStartId() {
		return startId;
	}

	public void setStartId(Long startId) {
		this.startId = startId;
	}

	public Long getSize() {
		return size;
	}

	public void setSize(Long size) {
		this.size = size;
	}
}
