package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 主观题实体
 * @Author lideyin
 * @Date 2020/3/30 16:05
 * @Version 1.0
 */
@ApiModel(value = "OuterSubjectiveQuestionBean", description = "考生成绩数据")
public class OuterSubjectiveQuestionBean implements JsonSerializable{

	private static final long serialVersionUID = -861207406409903426L;

	@ApiModelProperty(value = "大题号", example = "1", required = true)
	private Integer mainNumber;
	
	@ApiModelProperty(value = "大题名称", example = "XX", required = true)
	private String mainTitle;
	
	@ApiModelProperty(value = "小题号", example = "XX", required = true)
	private String subNumber;

	@ApiModelProperty(value = "小题分", example = "1", required = true)
	private Double totalScore;

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public String getMainTitle() {
		return mainTitle;
	}

	public void setMainTitle(String mainTitle) {
		this.mainTitle = mainTitle;
	}

	public String getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(String subNumber) {
		this.subNumber = subNumber;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
}
